Get Individual Row
curl --request GET \
--url https://api.sheetninja.io/{endpointNamespace}/{projectName}/{tabSlug}/{rowId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sheetninja.io/{endpointNamespace}/{projectName}/{tabSlug}/{rowId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sheetninja.io/{endpointNamespace}/{projectName}/{tabSlug}/{rowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"message": "<string>",
"data": {}
}{
"message": "<string>",
"data": {}
}{
"message": "<string>",
"data": {}
}{
"message": "<string>",
"data": {}
}{
"message": "<string>",
"data": {}
}{
"message": "<string>",
"data": {}
}{
"message": "<string>",
"data": {}
}Endpoint examples
Get Individual Row
Fetches a specific row based on its physical row ID in the sheet.
GET
/
{endpointNamespace}
/
{projectName}
/
{tabSlug}
/
{rowId}
Get Individual Row
Authorizations
The Bearer Token associated with your endpoint. This is only required if you have enabled protection for this endpoint.
Path Parameters
Your unique user namespace
The slugified name of your project
The slugified name of the specific worksheet (tab)
The physical row number in the Google Sheet (Note: Row 1 is the header row)
Required range:
x >= 2Response
Successful retrieval of the row
The physical row number of the record
Was this page helpful?
⌘I
